<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>IAdjustableShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IAdjustableShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IAdjustableShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/geom/Guide.html"
               title="class in org.apache.poi.sl.draw.geom"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/geom/LineToCommand.html"
               title="class in org.apache.poi.sl.draw.geom"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/geom/IAdjustableShape.html" target="_top">Frames</a>
        </li>
        <li><a href="IAdjustableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw.geom</div>
    <h2 title="Interface IAdjustableShape" class="title">Interface IAdjustableShape</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                           title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                            title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                            title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/Line.html"
                            title="interface in org.apache.poi.sl.usermodel">Line</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                            title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                            title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S,P&gt;, <a
                            href="../../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
                           title="class in org.apache.poi.hslf.model">ActiveXShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFLine</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholder</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a>, <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/model/MovieShape.html"
                            title="class in org.apache.poi.hslf.model">MovieShape</a>, <a
                            href="../../../../../../org/apache/poi/hslf/model/Polygon.html"
                            title="class in org.apache.poi.hslf.model">Polygon</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFBackground</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFConnectorShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">IAdjustableShape</span></pre>
                <div class="block">A bridge to the consumer application.<p>

                    To get a shape geometry one needs to pass shape bounds and adjust values.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/geom/Guide.html"
                                        title="class in org.apache.poi.sl.draw.geom">Guide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a></span>(java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getAdjustValue-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAdjustValue</h4>
                                <pre><a href="../../../../../../org/apache/poi/sl/draw/geom/Guide.html"
                                        title="class in org.apache.poi.sl.draw.geom">Guide</a>&nbsp;getAdjustValue(java.lang.String&nbsp;name)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - name of a adjust value, e.g. adj1</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>adjust guide defined in the shape or null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IAdjustableShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/geom/Guide.html"
               title="class in org.apache.poi.sl.draw.geom"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/geom/LineToCommand.html"
               title="class in org.apache.poi.sl.draw.geom"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/geom/IAdjustableShape.html" target="_top">Frames</a>
        </li>
        <li><a href="IAdjustableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
